<!--<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Everyone loves pizza!</title>
</head>
<body>
<header>
    <a href="/">Go home</a>
    <h1>Change topping on pizza</h1>
    <p>Enter the id of the pizza you want to change topping on.</p>
</header>
<section>
    <p>The order can be found <a href="/viewOrder.html">here</a>.</p>
    <form id="toppingsForm">
        <input type="text" name="pizzaName" placeholder="Pizza name"> <input type="text" name="pizzaSize" placeholder="Size">
    </form>
    <button onclick="myFunction()" >Submit</button>

    <br/>
    <p>After entering the pizza details, change the toppings by toggling the buttons below on/off:</p>
    <form action="/changeTopping">
        <input type="text" id="pizzaNameAuto" name="pizzaName" placeholder="Pizza name"> <input type="text" id="pizzaSizeAuto" name="pizzaSize" placeholder="Size"> <br/>
        <input type="checkbox" id="cheeseCheckbox" name="cheeseCheckbox" ><label for="cheeseCheckbox">Cheese</label>
        <input type="checkbox" id="tomatoSauceCheckbox" name="tomatoSauceCheckbox" ><label for="tomatoSauceCheckbox">Tomato sauce</label>
        <input type="checkbox" id="hamCheckbox" name="hamCheckbox" ><label for="hamCheckbox"> Ham </label>
        <br/>
        <input type="checkbox" id="mushroomCheckbox" name="mushroomCheckbox" ><label for="mushroomCheckbox"> Mushroom </label>
        <input type="checkbox" id="pepperoniCheckbox" name="pepperoniCheckbox" ><label for="pepperoniCheckbox">Pepperoni </label>
        <input type="checkbox" id="pineappleCheckbox" name="pineappleCheckbox" ><label for="pineappleCheckbox"> Pineapple </label>
        <br/><button name="changeToppingBtn" id="changeToppingBttn">Submit</button>
    </form>
</section>
<script>
    let pizzaName = "";
    let pizzaSize = "";
    function myFunction() {
        var inputForm = document.getElementById("toppingsForm");
        let text = "";
        pizzaName = inputForm.elements[0].value;
        pizzaSize = inputForm.elements[1].value;

        document.getElementById("pizzaNameAuto").value = pizzaName;
        document.getElementById("pizzaSizeAuto").value = pizzaSize;


        fetch('/viewOrder')
    .then(response => response.json())
    .then(response=>{
        console.log(response);

        response.forEach((pizza)=>{
            if (pizza.name.valueOf() == pizzaName.valueOf()){
                if (pizza.size.valueOf() == pizzaSize.valueOf()) {
                    console.log(pizza.id);
                    //do something

                    console.log(pizza.toppings)

                    for(let i = 0; i < pizza.toppings.length; i++){
                        console.log(pizza.toppings[i]);
                        switch(pizza.toppings[i]){
                            case "Cheese":
                                document.getElementById("cheeseCheckbox").checked = true;
                                break;
                            case "Tomato sauce":
                                document.getElementById("tomatoSauceCheckbox").checked = true;
                                break;
                            case "Ham":
                                document.getElementById("hamCheckbox").checked = true;
                                break;
                            case "Pepperoni":
                                document.getElementById("pepperoniCheckbox").checked = true;
                                break;
                            case "Mushroom":
                                document.getElementById("mushroomCheckbox").checked = true;
                                break;
                            case "Pineapple":
                                document.getElementById("pineappleCheckbox").checked = true;
                                break;
                         }
                    }
                }
            }
        })
    })
    }


</script>
</body>
</html>-->